<template>
  <div class="login-form">
    <form @submit.prevent="login()">
      <input type="email" name="email" id="email" placeholder="Email" v-model="email">
      <input type="password" name="password" id="password" placeholder="Password" v-model="password">
      <input type="submit" value="Login">
    </form>
  </div>
</template>
<script lang="ts">
import Vue from 'vue';
import { mapActions, mapGetters } from 'vuex';
import { LoginAction } from '@/store/actions';
import { pending, isLoggedIn } from '@/store/getters';

export default Vue.component('login', {
  methods: {
    async login() {
      await this.$store.dispatch(new LoginAction({ login: this.email, password: this.password }));
      this.$router.push('/');
    },
  },
  data: () => ({
    email: '',
    password: '',
  }),
  computed: mapGetters({
    pending,
    isLoggedIn,
  }),
});
</script>
<style lang="scss" scoped>

</style>
